List of all members
clan::OcclusionQuery Class Reference
clanDisplay Display

Graphics occlusion query class. More...

`#include <occlusion_query.h>`

## Public Member Functions
Construction
| OcclusionQuery ()
| Constructs a null instance. More...
| OcclusionQuery (GraphicContext &context)
| Constructs an occlusion query object. More...
virtual | ~OcclusionQuery ()
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
int | get_result ()
| Returns the result of the occlusion query. More...
bool | is_result_ready ()
| Returns true if the GPU is ready to return the result. More...
OcclusionQueryProvider * | get_provider () const
| Get Provider. More...
Operations
void | begin ()
| Start occlusion query. More...
void | end ()
| Finish occlusion query. More...

## Detailed Description

Graphics occlusion query class.

The documentation for this class was generated from the following file:

- occlusion_query.h